# Class RevisedFilesXml

java.lang.Object
net.sf.statcvs.pages.xml.RevisedFilesXml

public class RevisedFilesXml extends Object

## Constructor Summary

Constructors
Constructor
Description
`RevisedFilesXml(ReportConfig config)`
Creates a new LogPageMaker.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getAnchor(SymbolicName tag)`
`static String`
`getURL(Date date)`
`org.jdom.Element`
`toFile()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RevisedFilesXml

public RevisedFilesXml(ReportConfig config)
Creates a new LogPageMaker.

Parameters:
  `year` - The log page's year
  `month` - The log page's month (0 for January)
  `commits` - A list of commits; those not in the right month will be ignored
  `outputFormat` -

## Method Details

### getAnchor

public static String getAnchor(SymbolicName tag)

### getURL

public static String getURL(Date date)

### toFile

public org.jdom.Element toFile() throws NoSuchElementException

Throws:
  `NoSuchElementException`